import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  userId: z.number().int(),
  siteKey: z.string()
}).strict();
export const InsuranceCredentialUserIdSiteKeyCompoundUniqueInputObjectSchema: z.ZodType<Prisma.InsuranceCredentialUserIdSiteKeyCompoundUniqueInput> = makeSchema() as unknown as z.ZodType<Prisma.InsuranceCredentialUserIdSiteKeyCompoundUniqueInput>;
export const InsuranceCredentialUserIdSiteKeyCompoundUniqueInputObjectZodSchema = makeSchema();
